# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KKeyServer::Key Struct Reference

Represents a key press. More...

`#include <kkeyserver_x11.h>`

List of all members.

## Public Types

enum | { CODE_FOR_QT = 256 }

## Public Member Functions

bool | init (const KKey &key, bool bQt)
bool | isNative () const
uint | code () const
uint | mod () const
uint | sym () const
int | keyCodeQt () const
void | setKeycodeQt (int keyQt)
Key & | operator= (const KKeyNative &key)
int | compare (const Key &key) const
bool | operator== (const Key &b) const
bool | operator< (const Key &b) const
KKey | key () const

## Public Attributes

uint | m_code
uint | m_mod
uint | m_sym

## Detailed Description

Represents a key press.

See also:
  KKey

Definition at line 137 of file kkeyserver_x11.h.

## Member Enumeration Documentation

anonymous enum

| Code for native Keys in Qt. Definition at line 140 of file kkeyserver_x11.h.

## Member Function Documentation

bool KKeyServer::Key::init | ( | const KKey & | key,
|  | bool | bQt
| ) |

Initializes the key with a KKey.

Parameters:

  | key | the key to get the data from
  | bQt | true to take the Qt keycode, false for the native key code

See also:
  Qt::Key

  KKeyNative

Definition at line 912 of file kkeyserver_x11.cpp.

References key(), KKey::keyCodeQt(), m_code, and m_sym.

bool KKeyServer::Key::isNative | ( |  | ) | const`[inline]`

Checks whether the key code is a native code.

Returns:
  true if native code of the window system, false if it is a Qt keycode

See also:
  Qt::Key

  KKeyNative

Definition at line 168 of file kkeyserver_x11.h.

uint KKeyServer::Key::code | ( |  | ) | const`[inline]`

Returns the code of the key.

Returns:
  the code of the key

Definition at line 174 of file kkeyserver_x11.h.

uint KKeyServer::Key::mod | ( |  | ) | const`[inline]`

Returns the modifiers of the key.

Returns:
  the modifiers of the key

Definition at line 180 of file kkeyserver_x11.h.

Referenced by key().

uint KKeyServer::Key::sym | ( |  | ) | const`[inline]`

Returns the symbol of the key.

Returns:
  the symbol of the key

Definition at line 186 of file kkeyserver_x11.h.

int KKeyServer::Key::keyCodeQt | ( |  | ) | const`[inline]`

Returns the qt key code.

Returns:
  the qt key code

Definition at line 192 of file kkeyserver_x11.h.

Referenced by key().

void KKeyServer::Key::setKeycodeQt | ( | int | keyQt | ) | `[inline]`

Sets the qt key code.

Parameters:

  | keyQt | the qt key code

Definition at line 198 of file kkeyserver_x11.h.

Key & KKeyServer::Key::operator= | ( | const KKeyNative & | key | ) |

Initializes this key with a KKeyNative.

Returns:
  this key

Definition at line 939 of file kkeyserver_x11.cpp.

References key(), m_code, m_mod, m_sym, and KKey::sym().

int KKeyServer::Key::compare | ( | const Key & | key | ) | const

Compares this key with the given Key object.

Returns a negative number if the given Key is larger, 0 if they are equal and a positive number this Key is larger. The returned value is the difference between the symbol, modifier or code, whatever is non-zero first.

Parameters:

  | key | the key to compare with this key

Returns:
  a negative number if the given Key is larger, 0 if they are equal and a positive number this Key is larger

Definition at line 945 of file kkeyserver_x11.cpp.

References m_code, KKey::m_mod, m_mod, KKey::m_sym, and m_sym.

bool KKeyServer::Key::operator== | ( | const Key & | b | ) | const`[inline]`

Compares the symbol, modifiers and code of both keys.

See also:
  compare()

Definition at line 224 of file kkeyserver_x11.h.

bool KKeyServer::Key::operator< | ( | const Key & | b | ) | const`[inline]`

Compares the symbol, modifiers and code of both keys.

See also:
  compare()

Definition at line 231 of file kkeyserver_x11.h.

KKey KKeyServer::Key::key | ( |  | ) | const

Converts this Key to a KKey.

Returns:
  the KKey

Definition at line 924 of file kkeyserver_x11.cpp.

References keyCodeQt(), m_code, m_mod, m_sym, mod(), and KKeyServer::modXToMod().

Referenced by init(), and operator=().

## Member Data Documentation

uint KKeyServer::Key::m_code

| The code of the key. Definition at line 143 of file kkeyserver_x11.h. Referenced by compare(), init(), key(), and operator=().

uint KKeyServer::Key::m_mod

| The modifiers of the key. Definition at line 146 of file kkeyserver_x11.h. Referenced by compare(), key(), and operator=().

uint KKeyServer::Key::m_sym

| The symbol of the key. Definition at line 149 of file kkeyserver_x11.h. Referenced by compare(), init(), key(), and operator=().

The documentation for this struct was generated from the following files:

- kkeyserver_x11.h
- kkeyserver_x11.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003